# Team Members

## Get team member applications

> Retrieves the list of applications that the authenticated user has team member access to

```json
{"openapi":"3.0.4","info":{"title":"Discloud API","version":"2.0.0"},"tags":[{"name":"Team Member","description":"Operations about team members"}],"servers":[{"url":"https://api.discloud.app/v2","description":"API Server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"api-token"}},"schemas":{"TeamMemberAppsResponse":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string","description":"Present only in error responses"},"apps":{"type":"array","items":{"$ref":"#/components/schemas/TeamMemberApp"}}}},"TeamMemberApp":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the application"},"name":{"type":"string","description":"Name of the application"},"type":{"type":"integer","description":"Type of the application"},"ram":{"type":"integer","description":"RAM allocated to the application (in MB)"},"online":{"type":"boolean","description":"Whether the application is currently online"},"ramKilled":{"type":"boolean","description":"Whether the application was terminated due to RAM usage"},"exitCode":{"type":"integer","description":"Exit code of the application if it has stopped"},"lang":{"type":"string","description":"Programming language of the application"},"perms":{"type":"array","items":{"type":"string"},"description":"Permissions granted to the team member for this application"}}},"Error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"paths":{"/team":{"get":{"tags":["Team Member"],"summary":"Get team member applications","description":"Retrieves the list of applications that the authenticated user has team member access to","operationId":"getTeamMemberApps","responses":{"200":{"description":"Team member applications retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamMemberAppsResponse"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Not on any team","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"},"apps":{"type":"array","items":{}}}}}}}}}}}}
```

## Get application backup as team member

> Generates and retrieves backup for an application that the authenticated user has team member access to

```json
{"openapi":"3.0.4","info":{"title":"Discloud API","version":"2.0.0"},"tags":[{"name":"Team Member","description":"Operations about team members"}],"servers":[{"url":"https://api.discloud.app/v2","description":"API Server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"api-token"}},"schemas":{"Error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"paths":{"/team/{appID}/backup":{"get":{"tags":["Team Member"],"summary":"Get application backup as team member","description":"Generates and retrieves backup for an application that the authenticated user has team member access to","operationId":"getTeamAppBackup","parameters":[{"name":"appID","in":"path","required":true,"description":"ID of the application to generate backup for","schema":{"type":"string"}}],"responses":{"200":{"description":"Application backup generated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"},"backups":{"type":"object","properties":{"id":{"type":"string"},"url":{"type":"string"}}}}}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```

## Get application status as team member

> Retrieves status information for an application that the authenticated user has team member access to

```json
{"openapi":"3.0.4","info":{"title":"Discloud API","version":"2.0.0"},"tags":[{"name":"Team Member","description":"Operations about team members"}],"servers":[{"url":"https://api.discloud.app/v2","description":"API Server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"api-token"}},"schemas":{"Error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"paths":{"/team/{appID}/status":{"get":{"tags":["Team Member"],"summary":"Get application status as team member","description":"Retrieves status information for an application that the authenticated user has team member access to","operationId":"getTeamAppStatus","parameters":[{"name":"appID","in":"path","required":true,"description":"ID of the application to get status for","schema":{"type":"string"}}],"responses":{"200":{"description":"Application status retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"},"apps":{"type":"object","properties":{"id":{"type":"string"},"container":{"type":"string"},"cpu":{"type":"string"},"memory":{"type":"string"},"ssd":{"type":"string"},"netIO":{"type":"object","properties":{"down":{"type":"string"},"up":{"type":"string"}}},"last_restart":{"type":"string"},"startedAt":{"type":"string"}}}}}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```

## Start application as team member

> Starts an application that the authenticated user has team member access to

```json
{"openapi":"3.0.4","info":{"title":"Discloud API","version":"2.0.0"},"tags":[{"name":"Team Member","description":"Operations about team members"}],"servers":[{"url":"https://api.discloud.app/v2","description":"API Server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"api-token"}},"schemas":{"Error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"paths":{"/team/{appID}/start":{"put":{"tags":["Team Member"],"summary":"Start application as team member","description":"Starts an application that the authenticated user has team member access to","operationId":"startTeamApp","parameters":[{"name":"appID","in":"path","required":true,"description":"ID of the application to start","schema":{"type":"string"}}],"responses":{"200":{"description":"Application start response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"}}}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```

## Restart application as team member

> Restarts an application that the authenticated user has team member access to

```json
{"openapi":"3.0.4","info":{"title":"Discloud API","version":"2.0.0"},"tags":[{"name":"Team Member","description":"Operations about team members"}],"servers":[{"url":"https://api.discloud.app/v2","description":"API Server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"api-token"}},"schemas":{"Error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"paths":{"/team/{appID}/restart":{"put":{"tags":["Team Member"],"summary":"Restart application as team member","description":"Restarts an application that the authenticated user has team member access to","operationId":"restartTeamApp","parameters":[{"name":"appID","in":"path","required":true,"description":"ID of the application to restart","schema":{"type":"string"}}],"responses":{"200":{"description":"Application restart response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"}}}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```

## Stop application as team member

> Stops an application that the authenticated user has team member access to

```json
{"openapi":"3.0.4","info":{"title":"Discloud API","version":"2.0.0"},"tags":[{"name":"Team Member","description":"Operations about team members"}],"servers":[{"url":"https://api.discloud.app/v2","description":"API Server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"api-token"}},"schemas":{"Error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"paths":{"/team/{appID}/stop":{"put":{"tags":["Team Member"],"summary":"Stop application as team member","description":"Stops an application that the authenticated user has team member access to","operationId":"stopTeamApp","parameters":[{"name":"appID","in":"path","required":true,"description":"ID of the application to stop","schema":{"type":"string"}}],"responses":{"200":{"description":"Application stop response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"}}}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```

## Update application code as team member

> Updates an existing application by uploading a new version of the code as a team member

```json
{"openapi":"3.0.4","info":{"title":"Discloud API","version":"2.0.0"},"tags":[{"name":"Team Member","description":"Operations about team members"}],"servers":[{"url":"https://api.discloud.app/v2","description":"API Server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"api-token"}},"schemas":{"Error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"paths":{"/team/{appID}/commit":{"put":{"tags":["Team Member"],"summary":"Update application code as team member","description":"Updates an existing application by uploading a new version of the code as a team member","operationId":"commitTeamAppChanges","parameters":[{"name":"appID","in":"path","required":true,"description":"ID of the application to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"type":"object","required":["file"],"properties":{"file":{"type":"string","format":"binary","description":"Application file to upload (.ZIP format)"}}}}}},"responses":{"200":{"description":"Commit response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"integer"},"message":{"type":"string"}}}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"}}}}}},"404":{"description":"Missing required file","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```

## Update application RAM as team member

> Updates the RAM allocation for an application that the authenticated user has team member access to

```json
{"openapi":"3.0.4","info":{"title":"Discloud API","version":"2.0.0"},"tags":[{"name":"Team Member","description":"Operations about team members"}],"servers":[{"url":"https://api.discloud.app/v2","description":"API Server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"api-token"}},"schemas":{"AppRamUpdateRequest":{"type":"object","required":["ramMB"],"properties":{"ramMB":{"type":"integer","description":"The amount of RAM in MB to allocate to the application"}}},"Error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"paths":{"/team/{appID}/ram":{"put":{"tags":["Team Member"],"summary":"Update application RAM as team member","description":"Updates the RAM allocation for an application that the authenticated user has team member access to","operationId":"updateTeamAppRam","parameters":[{"name":"appID","in":"path","required":true,"description":"ID of the application to update RAM for","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppRamUpdateRequest"}}}},"responses":{"200":{"description":"RAM update response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"integer"},"message":{"type":"string"},"ram":{"type":"object","properties":{"totalRamOwner":{"type":"integer"},"totalUsedRamOwner":{"type":"integer"}}}}}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.discloud.com/en/api-and-integrations/api-overview/team-members-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
